# FoundationClasses
TKMath
math

# math_Function Class Reference

This abstract class describes the virtual functions
associated with a Function of a single variable.
.

`#include <math_Function.hxx>`

Inheritance diagram for math_Function:

[legend]

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
virtual Standard_EXPORT Standard_Boolean | Value (const Standard_Real X, Standard_Real &F)=0
| Computes the value of the function <f> for a given value of variable <x>. returns True if the computation was done successfully, False otherwise. .
virtual Standard_EXPORT Standard_Integer | GetStateNumber ()

returns the state of the function corresponding to the
latest call of any methods associated with the function.
This function is called by each of the algorithms
described later which defined the function Integer
Algorithm::StateNumber(). The algorithm has the
responsibility to call this function when it has found
a solution (i.e. a root or a minimum) and has to maintain
the association between the solution found and this
StateNumber.
Byu default, this method returns 0 (which means for the
algorithm: no state has been saved). It is the
responsibility of the programmer to decide if he needs
to save the current state of the function and to return
an Integer that allows retrieval of the state.

## Member Function Documentation

virtual Standard_EXPORT Standard_Integer math_Function::GetStateNumber | ( |  | ) | `[virtual]`

void math_Function::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented in CSLib_NormalPolyDef, and math_FunctionWithDerivative.

void* math_Function::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented in CSLib_NormalPolyDef, and math_FunctionWithDerivative.

void* math_Function::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented in CSLib_NormalPolyDef, and math_FunctionWithDerivative.

virtual Standard_EXPORT Standard_Boolean math_Function::Value | ( | const Standard_Real | X,
|  | Standard_Real & | F
| ) | `[pure virtual]`

| Implemented in CSLib_NormalPolyDef, and math_FunctionWithDerivative.

The documentation for this class was generated from the following file:

- math_Function.hxx